summaryrefslogtreecommitdiffstats
path: root/audio/tauonmb
diff options
context:
space:
mode:
Diffstat (limited to 'audio/tauonmb')
-rw-r--r--audio/tauonmb/README6
-rw-r--r--audio/tauonmb/doinst.sh14
-rw-r--r--audio/tauonmb/slack-desc19
-rw-r--r--audio/tauonmb/tauonmb.SlackBuild101
-rw-r--r--audio/tauonmb/tauonmb.desktop39
-rw-r--r--audio/tauonmb/tauonmb.info10
6 files changed, 189 insertions, 0 deletions
diff --git a/audio/tauonmb/README b/audio/tauonmb/README
new file mode 100644
index 0000000000..8f6307829a
--- /dev/null
+++ b/audio/tauonmb/README
@@ -0,0 +1,6 @@
+Tauon music box is a modern streamlined music player with a minimal
+interface that's packed with features! An emphasis on playlists and
+direct file importing puts you in control of your music collection.
+Uses PHAZOR and GStreamer for playback.
+
+By ~red
diff --git a/audio/tauonmb/doinst.sh b/audio/tauonmb/doinst.sh
new file mode 100644
index 0000000000..0fb9c8b686
--- /dev/null
+++ b/audio/tauonmb/doinst.sh
@@ -0,0 +1,14 @@
+if [ -x /usr/bin/update-desktop-database ]; then
+ /usr/bin/update-desktop-database -q usr/share/applications >/dev/null 2>&1
+fi
+
+if [ -x /usr/bin/update-mime-database ]; then
+ /usr/bin/update-mime-database usr/share/mime >/dev/null 2>&1
+fi
+
+if [ -e usr/share/icons/hicolor/icon-theme.cache ]; then
+ if [ -x /usr/bin/gtk-update-icon-cache ]; then
+ /usr/bin/gtk-update-icon-cache -f usr/share/icons/hicolor >/dev/null 2>&1
+ fi
+fi
+
diff --git a/audio/tauonmb/slack-desc b/audio/tauonmb/slack-desc
new file mode 100644
index 0000000000..419b9bca70
--- /dev/null
+++ b/audio/tauonmb/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+tauonmb: tauonmb (TauonMusicBox Player)
+tauonmb:
+tauonmb: Tauon music box is a modern streamlined music player with a minimal
+tauonmb: interface that's packed with features! An emphasis on playlists and
+tauonmb: direct file importing puts you in control of your music collection.
+tauonmb: Uses GStreamer for playback.
+tauonmb:
+tauonmb:
+tauonmb:
+tauonmb: Project URL: https://tauonmusicbox.rocks/
+tauonmb: GitHub URL: https://github.com/Taiko2k/TauonMusicBox/
diff --git a/audio/tauonmb/tauonmb.SlackBuild b/audio/tauonmb/tauonmb.SlackBuild
new file mode 100644
index 0000000000..b92a572015
--- /dev/null
+++ b/audio/tauonmb/tauonmb.SlackBuild
@@ -0,0 +1,101 @@
+#!/bin/bash
+
+# Slackware build script for tauonmb
+
+# Copyright 2019-2021 Pouria Rezaei <Pouria.rz@outlook.com>
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR "AS IS" AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+# Modified by the SlackBuilds.org project
+
+cd $(dirname $0) ; CWD=$(pwd)
+
+PRGNAM=tauonmb
+VERSION=${VERSION:-6.6.0}
+SRCNAM=TauonMusicBox
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+PKGTYPE=${PKGTYPE:-tgz}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i586 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+# If the variable PRINT_PACKAGE_NAME is set, then this script will report what
+# the name of the created package would be, and then exit. This information
+# could be useful to other scripts.
+if [ ! -z "${PRINT_PACKAGE_NAME}" ]; then
+ echo "$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.$PKGTYPE"
+ exit 0
+fi
+
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $SRCNAM-$VERSION
+tar xvf $CWD/$SRCNAM-$VERSION.tar.gz
+cd $SRCNAM-$VERSION
+chown -R root:root .
+find -L . \
+\( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
+ -o -perm 511 \) -exec chmod 755 {} \; -o \
+\( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
+ -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
+
+# build phazor
+gcc src/phazor/kissfft/kiss_fftr.c src/phazor/kissfft/kiss_fft.c src/phazor/phazor.c \
+ `pkg-config --cflags --libs samplerate libpulse-simple opusfile vorbisfile libmpg123 flac libopenmpt` \
+ -shared -o libphazor.so -fPIC -Wall -O3 # -Wextra
+mkdir -p lib
+mv libphazor.so lib/libphazor.so
+rm -fR src
+
+mkdir -p $PKG/opt/tauon-music-box $PKG/usr/bin
+mv * $PKG/opt/tauon-music-box
+install -m 0755 $PKG/opt/tauon-music-box/extra/tauonmb.sh $PKG/opt/tauon-music-box/tauonmb.sh
+
+mkdir -p $PKG/usr/share/applications
+cp $CWD/tauonmb.desktop $PKG/usr/share/applications
+
+mkdir -p $PKG/usr/share/icons/hicolor/128x128/apps
+cp $PKG/opt/tauon-music-box/assets/icon-128.png $PKG/usr/share/icons/hicolor/128x128/apps/tauonmb.png
+
+ln -s /opt/tauon-music-box/tauonmb.sh $PKG/usr/bin/tauon
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+( cd $PKG/opt/tauon-music-box
+ mv *.md CHANGELOG LICENSE $PKG/usr/doc/$PRGNAM-$VERSION )
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+cat $CWD/doinst.sh > $PKG/install/doinst.sh
+
+cd $PKG
+/sbin/makepkg -l y -p -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.$PKGTYPE
diff --git a/audio/tauonmb/tauonmb.desktop b/audio/tauonmb/tauonmb.desktop
new file mode 100644
index 0000000000..fbaaebc307
--- /dev/null
+++ b/audio/tauonmb/tauonmb.desktop
@@ -0,0 +1,39 @@
+[Desktop Action Next]
+Exec=/opt/tauon-music-box/tauonmb.sh --no-start --next
+Name=Next Track
+
+[Desktop Action PlayPause]
+Exec=/opt/tauon-music-box/tauonmb.sh --no-start --play-pause
+Name=Play/Pause
+
+[Desktop Action Previous]
+Exec=/opt/tauon-music-box/tauonmb.sh --no-start --previous
+Name=Previous Track
+
+[Desktop Entry]
+Actions=PlayPause;Previous;Next
+Categories=AudioVideo;Player;Audio;
+Comment[en_GB]=Ultra player for your music collection
+Comment=Ultra player for your music collection
+Comment[de]=Ultra Player für deine Musiksammlung
+Comment[ja]=音楽コレクションのウルトラプレーヤー
+Exec=/opt/tauon-music-box/tauonmb.sh %U
+GenericName[en_GB]=Audio Player
+GenericName=Audio Player
+GenericName[de]=Musik-Player
+GenericName[ja]=音楽プレイヤー
+GenericName[zh_CN]=音乐播放器
+Icon=/opt/tauon-music-box/assets/v4-a.png
+MimeType=x-content/audio-player;audio/x-wav;audio/x-wav;audio/x-vorbis+ogg;audio/x-tta;audio/x-tta;audio/x-scpls;audio/x-scpls;audio/x-opus+ogg;audio/x-mpegurl;audio/x-ape;audio/ogg;audio/ogg;audio/mpeg;audio/mpeg;audio/mp4;audio/mp4;audio/flac;audio/flac;application/ogg;application/ogg;
+Name[en_GB]=Tauon Music Box
+Name=Tauon Music Box
+Path=
+StartupNotify=false
+StartupWMClass=Tauon Music Box
+Terminal=false
+TerminalOptions=
+Type=Application
+X-DBUS-ServiceName=
+X-DBUS-StartupType=
+X-KDE-SubstituteUID=false
+X-KDE-Username=
diff --git a/audio/tauonmb/tauonmb.info b/audio/tauonmb/tauonmb.info
new file mode 100644
index 0000000000..1e24b88bd3
--- /dev/null
+++ b/audio/tauonmb/tauonmb.info
@@ -0,0 +1,10 @@
+PRGNAM="tauonmb"
+VERSION="6.6.0"
+HOMEPAGE="https://tauonmusicbox.rocks/"
+DOWNLOAD="https://github.com/Taiko2k/TauonMusicBox/archive/v6.6.0/TauonMusicBox-6.6.0.tar.gz"
+MD5SUM="6ea19ab641f7cf8e2c21775252ade784"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES="libopenmpt python3-tekore python3-stagger python3-pysdl2 python3-pypresence python3-pylyrics python3-pulsectl python3-plexapi python3-isounidecode python3-hsaudiotag3k pylast setproctitle send2trash musicbrainzngs"
+MAINTAINER="Pouria Rezaei"
+EMAIL="Pouria.rz@outlook.com"